1. Presence
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
      GET
    • Groups (Basic auth)
      GET
    • Locations (Basic auth)
      GET
    • Desks (Basic auth)
      GET
    • Bookings & Attendance (Basic auth)
      GET
    • Presence (Basic auth)
      GET
    • User Actions Log (Basic auth)
      GET
    • Events (Basic auth)
      GET
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
    • Events
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Presence

Submit presence events (Basic auth)

POST
/v1/presence/basic
Submit presence events to Calven.

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/jsonRequired

Example
{
    "sourceId": "string",
    "presenceEvents": [
        {
            "timestamp": "2021-09-01T12:00:00.000Z",
            "locationId": "string",
            "locationType": "level",
            "eventId": "string",
            "sourceUserId": "string",
            "userId": "string",
            "userEmail": "string"
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/presence/basic' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
    "sourceId": "string",
    "presenceEvents": [
        {
            "timestamp": "2021-09-01T12:00:00.000Z",
            "locationId": "string",
            "locationType": "level",
            "eventId": "string",
            "sourceUserId": "string",
            "userId": "string",
            "userEmail": "string"
        }
    ]
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "sourceId": "string",
    "timestamp": "2021-09-01T12:00:00.000Z",
    "results": [
        {
            "eventId": "string",
            "resultCode": 0,
            "message": "string"
        }
    ]
}
🟠401Unauthorized
Modified at 2026-09-01 06:23:57
Previous
Submit presence events
Next
Occupancy Overview
Built with